From bc96aa9f2c9b25ae65a7e05dbbff8c28079db9c9 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 23 Jul 2021 15:34:03 +0200
Subject: [PATCH] [clang] Fix typos in Options.td and regen
 ClangCommandLineReference.rst.

Differential Revision: https://reviews.llvm.org/D106664
---
 clang/docs/ClangCommandLineReference.rst | 6 +++---
 clang/include/clang/Driver/Options.td    | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/clang/docs/ClangCommandLineReference.rst b/clang/docs/ClangCommandLineReference.rst
index 35a3fdd382b41..41f2dc70c052f 100644
--- a/clang/docs/ClangCommandLineReference.rst
+++ b/clang/docs/ClangCommandLineReference.rst
@@ -263,7 +263,7 @@ Build this module as a system module. Only used with -emit-module
 
 .. option:: -fuse-cuid=<arg>
 
-Method to generate ID's for compilation units for single source offloading languages CUDA and HIP: 'hash' (ID's generated by hashing file path and command line options) \| 'random' (ID's generated as random numbers) \| 'none' (disabled). Default is 'hash'. This option will be overriden by option '-cuid=\[ID\]' if it is specified.
+Method to generate ID's for compilation units for single source offloading languages CUDA and HIP: 'hash' (ID's generated by hashing file path and command line options) \| 'random' (ID's generated as random numbers) \| 'none' (disabled). Default is 'hash'. This option will be overridden by option '-cuid=\[ID\]' if it is specified.
 
 .. option:: --gcc-toolchain=<arg>, -gcc-toolchain <arg>
 
@@ -2507,7 +2507,7 @@ Enables dead virtual function elimination optimization. Requires -flto=full
 
 .. option:: -fvisibility-dllexport=<arg>
 
-The visibility for dllexport defintions \[-fvisibility-from-dllstorageclass\]
+The visibility for dllexport definitions \[-fvisibility-from-dllstorageclass\]
 
 .. option:: -fvisibility-externs-dllimport=<arg>
 
@@ -2519,7 +2519,7 @@ The visibility for external declarations without an explicit DLL dllstorageclass
 
 .. option:: -fvisibility-from-dllstorageclass, -fno-visibility-from-dllstorageclass
 
-Set the visiblity of symbols in the generated code from their DLL storage class
+Set the visibility of symbols in the generated code from their DLL storage class
 
 .. option:: -fvisibility-global-new-delete-hidden
 
diff --git a/clang/include/clang/Driver/Options.td b/clang/include/clang/Driver/Options.td
index 6284fde4d52df..7ae775c2e00ba 100644
--- a/clang/include/clang/Driver/Options.td
+++ b/clang/include/clang/Driver/Options.td
@@ -1006,7 +1006,7 @@ def fuse_cuid_EQ : Joined<["-"], "fuse-cuid=">,
            "offloading languages CUDA and HIP: 'hash' (ID's generated by hashing "
            "file path and command line options) | 'random' (ID's generated as "
            "random numbers) | 'none' (disabled). Default is 'hash'. This option "
-           "will be overriden by option '-cuid=[ID]' if it is specified." >;
+           "will be overridden by option '-cuid=[ID]' if it is specified." >;
 def libomptarget_amdgcn_bc_path_EQ : Joined<["--"], "libomptarget-amdgcn-bc-path=">, Group<i_Group>,
   HelpText<"Path to libomptarget-amdgcn bitcode library">;
 def libomptarget_nvptx_bc_path_EQ : Joined<["--"], "libomptarget-nvptx-bc-path=">, Group<i_Group>,
@@ -2693,10 +2693,10 @@ def fverbose_asm : Flag<["-"], "fverbose-asm">, Group<f_Group>,
 def dA : Flag<["-"], "dA">, Alias<fverbose_asm>;
 defm visibility_from_dllstorageclass : BoolFOption<"visibility-from-dllstorageclass",
   LangOpts<"VisibilityFromDLLStorageClass">, DefaultFalse,
-  PosFlag<SetTrue, [CC1Option], "Set the visiblity of symbols in the generated code from their DLL storage class">,
+  PosFlag<SetTrue, [CC1Option], "Set the visibility of symbols in the generated code from their DLL storage class">,
   NegFlag<SetFalse>>;
 def fvisibility_dllexport_EQ : Joined<["-"], "fvisibility-dllexport=">, Group<f_Group>, Flags<[CC1Option]>,
-  HelpText<"The visibility for dllexport defintions [-fvisibility-from-dllstorageclass]">,
+  HelpText<"The visibility for dllexport definitions [-fvisibility-from-dllstorageclass]">,
   MarshallingInfoVisibility<LangOpts<"DLLExportVisibility">, "DefaultVisibility">,
   ShouldParseIf<fvisibility_from_dllstorageclass.KeyPath>;
 def fvisibility_nodllstorageclass_EQ : Joined<["-"], "fvisibility-nodllstorageclass=">, Group<f_Group>, Flags<[CC1Option]>,
